using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.BalanceSheet4K
{
    /// <summary>
    /// 资产负债表-4K
    /// </summary>
    class Program
    {

        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();

            //var _service = new Services();
            //var day = DateTime.Parse("2020-11-01");
            //_service.Init(day);
        }

    }
}
